// @ts-nocheck
// import {isBrowser} from '../isBrowser'

// 是否支持被動事件監聽
export const supportsPassive = true;

// 請求動畫幀
export function raf(fn: TimerCallback): number {
   return setTimeout(fn, 1000 / 30); 
}

// 取消動畫幀
export function cancelRaf(id: number) {
  clearTimeout(id);
}

// 雙倍動畫幀
export function doubleRaf(fn: TimerCallback): void {
  raf(() => raf(fn)); // 在下壹幀回調中再次請求動畫幀，實現雙倍動畫幀效果
}